# Class APIException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.a11y.brlapi.APIException

All Implemented Interfaces:
  `Serializable`

public class APIException extends RuntimeException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`APIException(long handle, int error, int type, byte[] packet)`

## Method Summary

Modifier and Type
Method
Description
`final int`
`getErrorNumber()`
`final byte[]`
`getFailedPacket()`
`final int`
`getPacketType()`
`static String`
`getPacketTypeName(int type)`
`String`
`toString()`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### APIException

public APIException(long handle, int error, int type, byte[] packet)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Throwable`

### getErrorNumber

public final int getErrorNumber()

### getPacketType

public final int getPacketType()

### getFailedPacket

public final byte[] getFailedPacket()

### getPacketTypeName

public static String getPacketTypeName(int type)